#ifndef __HAL_GPIO_H__
#define __HAL_GPIO_H__
#include "hal.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

#define UT_CMDCNT_GPIO          (2)
extern unittest_cmd g_ut_cmd_gpio[UT_CMDCNT_GPIO];


/*gpio init interface define,should be implement if needed*/
uint32_t hal_gpio_init();

/*gpio deinit interface define,should be implement if needed*/
uint32_t hal_gpio_deinit();

//level can be 1 or 0 only
uint32_t hal_gpio_output(uint32_t io, uint32_t level);


uint32_t hal_gpio_input(uint32_t io);



#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __HAL_GPIO_H__ */
